/////////////////////////////////////////////////////////////////
//Copyright (C) 2005 NTT CORPORATION.
//
//	IndividualLogComFunc_inc.java(共通関数定義)
//
//		変更履歴
//			2005.01.31  新規作成  OGA
//
//	機能
//
//	SCORM LO 教材用 共通関数定義
//
/////////////////////////////////////////////////////////////////
/*
 * 作成日: 2005/02/14
 *
 * TODO この生成されたファイルのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
package jp.co.ntt.lms.xmf.actions.lo.scorm.individuallog.inc;

import java.lang.Float;
import java.util.Map;
import java.util.HashMap;
import jp.co.ntt.lms.xms.logsumup.scorm.ScormItemList;

/**
 * @author Administrator
 *
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
public class IndividualLogComFunc_inc {

		Map auInfoMap = new HashMap();

		/**
		 * 小数点以下第二位で四捨五入します。
		 * パーセント表示に変換します。
		 * @param 割る数
		 * @param 割られる数
		 * @return 結果
		 */

		public float getMathRound2( Float f1, Float f2){
			float result = 0;
			// 0割対策
			if ( f2.floatValue() != 0 ){
				// 四捨五入
				result = (float)((int)Math.round( (f1.floatValue() / f2.floatValue()) * 1000.0 )/ 10.0);
			}

			return result;
		}

		/**
		 * 小数点以下第二位で四捨五入します。
		 * @param 割る数
		 * @param 割られる数
		 * @return 結果
		 */

		public float getMathRound( Float f1, Float f2){
			float result = 0;
			// 0割対策
			if ( f2.floatValue() != 0 ){
				// 四捨五入
				result = (float)((int)Math.round( (f1.floatValue() / f2.floatValue()) * 10.0 )/ 10.0);
			}

			return result;
		}

		/**
		 * 教材構造情報(AUID:キー、タイトル:値)設定。
		 *
		 * 取得した教材構造よりIDをキー、タイトルを値としたハッシュを設定します。
		 *
		 * @param itemList
		 */
		public void setScoInfo( ScormItemList itemList ) {

			for ( int i = 0; i < itemList.getMaxRow(); i++ ) {
				String auID = itemList.getAuID(i);
				String auTitle = itemList.getAuTitle(i);
				auInfoMap.put( auID, auTitle );
			}
		}

		/**
		 * SCOタイトルを取得します。
		 *
		 * @param auID
		 * @return auTitle
		 */
		public String getAuTitle( String auID ) {

			String auTitle = ( String )auInfoMap.get( auID );
			return auTitle;
		}

		// SCOのタイトルが消える件のバグ対応 20070129 by Oga Start
		/**
		 * @return auInfoMap を戻します。
		 */
		public Map getAuInfoMap() {
			return auInfoMap;
		}
		// SCOのタイトルが消える件のバグ対応 20070129 by Oga End

}
